# dask.array.Array.view

Array.view(dtype=None, order='C')

  Get a view of the array as a new data type

  Parameters:
    dtype:

      The dtype by which to view the array. The default, None, results in the view having the same data-type as the original array.

    order: string

      ‘C’ or ‘F’ (Fortran) ordering

    This reinterprets the bytes of the array under a new dtype. If that
    dtype does not have the same size as the original array then the shape
    will change.
    Beware that both numpy and dask.array can behave oddly when taking
    shape-changing views of arrays under Fortran ordering. Under some
    versions of NumPy this function will fail when taking shape-changing
    views of Fortran ordered arrays if the first dimension has chunks of
    size one.